Bug 146941 - /bin/mail fails due to existence of submit.cf
/bin/mail fails due to existence of submit.cf
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-02-02 16:21 EST by Dan Yocum
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-11 10:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2005-02-02 16:21:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
In the past, one could use /bin/mail w/o a locally running sendmail
daemon.  With the existence of /etc/mail/submit.cf, sendmail is
*required* to be running in order for mail to be sent when using
/bin/mail.  Since it is wise to stop, and in some organizations
required to stop, any unused services (esp. sendmail) this seriously
affects anyone who wishes to use /bin/mail in little things like cron

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.service sendmail stop
2./bin/mail your.email@redhat.com -s test < /dev/null

Actual Results:  No mail is sent.  mail is stored in
sendmail -q doesn't send mail since it only scans /var/spool/mqueue

Expected Results:  mail to be sent

Additional info:

Either remove submit.cf or fix it, somehow.

This also exists in RHELv3, and I'm betting FC3.
Comment 1 Matthew Miller 2005-04-26 12:20:22 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Thomas Woerner 2006-07-11 10:39:46 EDT
Closing as "NOT A BUG"

Note You need to log in before you can comment on or make changes to this bug.